From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/importlib_resources/
Date: Thu, 19 Mar 2020 16:03:29 +0000 (UTC) [thread overview]
Message-ID: <1584633785.5bdc28912a644f22e983809598935548674e70e0.sbraz@gentoo> (raw)
commit: 5bdc28912a644f22e983809598935548674e70e0
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 19 15:49:54 2020 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Thu Mar 19 16:03:05 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bdc2891
dev-python/importlib_resources: bump to 1.4.0
Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
dev-python/importlib_resources/Manifest | 1 +
.../importlib_resources-1.4.0.ebuild | 48 ++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/dev-python/importlib_resources/Manifest b/dev-python/importlib_resources/Manifest
index 791ac8e8978..9c7b49c4d49 100644
--- a/dev-python/importlib_resources/Manifest
+++ b/dev-python/importlib_resources/Manifest
@@ -1,2 +1,3 @@
DIST importlib_resources-1.0.2.tar.gz 23602 BLAKE2B 24c27b45ec56d3838b039baf2ebc1e0c5ec582d5cfdeb5cf26587255bf8b32aa1fcf43802cabca3b82b3ddec8cdf2616d10489c3c1aca77c9fa91af1f25ef9e7 SHA512 50bfc5130a2c9c9354efef1cd7132e805ed0f13467ba67172f83e11d907212bef3957aeef51fd904b73996c8280008d99c918637956a470448dfd67ef4807f82
DIST importlib_resources-1.3.1.tar.gz 23683 BLAKE2B c5c759a0aca53294e4ab945d918ec4e9f5b8ffa19e7185c5ee6c3db1589a7979242cebbaccad37c0125cccbcf96deeb8a7ac77a5419fa1cca2d0fc0baaeb7df8 SHA512 28661fff19475d27caaa420244a4e2a1fe12ce525eaea4f9892fad5f50a1b991be8c9764c34c1ca0bcc840d49535a963f9784caab221848f0ce0e43b9991dd3d
+DIST importlib_resources-1.4.0.tar.gz 23220 BLAKE2B d494615ba39620e772552b09637e280e0b72b16352387592423f824b67af315da1a0749e0dde8e55d3e0e04848a3c43802c12f20c79c5a067de0a3299510a199 SHA512 e482f109f387de79d66e69084fab70750ce472f7d665c3a617819ab604e376860c2832a0cab27867165b7ac60947db554ec686d73f182dcaa6935dc14ca3d935
diff --git a/dev-python/importlib_resources/importlib_resources-1.4.0.ebuild b/dev-python/importlib_resources/importlib_resources-1.4.0.ebuild
new file mode 100644
index 00000000000..7000c2fb3a5
--- /dev/null
+++ b/dev-python/importlib_resources/importlib_resources-1.4.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# This is a backport of Python 3.7's importlib.resources
+PYTHON_COMPAT=( pypy3 python{2_7,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Read resources from Python packages"
+HOMEPAGE="https://importlib-resources.readthedocs.io/en/latest/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/contextlib2[${PYTHON_USEDEP}]
+ dev-python/pathlib2[${PYTHON_USEDEP}]
+ dev-python/singledispatch[${PYTHON_USEDEP}]
+ dev-python/typing[${PYTHON_USEDEP}]
+ ' -2)
+ $(python_gen_cond_dep '
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+ ' pypy3 python3_{6,7})
+"
+BDEPEND="
+ dev-python/toml[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-3.4.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx docs dev-python/rst-linker dev-python/jaraco-packaging
+
+python_compile() {
+ distutils-r1_python_compile
+ if ! python_is_python3; then
+ rm "${BUILD_DIR}/lib/importlib_resources/_py3.py" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install --skip-build
+}
next reply other threads:[~2020-03-19 16:03 UTC|newest]
Thread overview: 129+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-03-19 16:03 Louis Sautier [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-04-19 15:07 [gentoo-commits] repo/gentoo:master commit in: dev-python/importlib_resources/ Michał Górny
2023-03-24 22:57 Louis Sautier
2023-03-24 19:57 Michał Górny
2023-03-24 19:54 Arthur Zamarin
2023-02-21 7:54 Michał Górny
2023-02-20 20:09 Arthur Zamarin
2023-02-18 7:03 Michał Górny
2023-02-14 21:05 Michał Górny
2023-01-08 5:21 Michał Górny
2023-01-07 19:09 Arthur Zamarin
2022-12-29 5:22 Michał Górny
2022-12-07 16:24 Michał Górny
2022-11-09 6:12 Michał Górny
2022-11-08 20:27 Arthur Zamarin
2022-10-08 8:01 Michał Górny
2022-08-27 6:03 Michał Górny
2022-08-26 17:18 Arthur Zamarin
2022-07-24 18:41 Michał Górny
2022-07-24 16:29 Sam James
2022-07-23 6:22 Michał Górny
2022-06-16 6:06 Michał Górny
2022-06-02 8:32 Michał Górny
2022-05-17 4:55 Michał Górny
2022-05-16 21:50 Sam James
2022-04-17 8:39 Michał Górny
2022-04-15 7:26 Arthur Zamarin
2022-04-10 12:32 Fabian Groffen
2022-03-27 9:50 Fabian Groffen
2022-03-26 10:37 Michał Górny
2022-03-04 7:18 Michał Górny
2022-02-28 7:11 Michał Górny
2022-02-28 4:43 Sam James
2022-02-04 12:04 Michał Górny
2022-02-04 10:27 Michał Górny
2022-02-03 10:58 Michał Górny
2022-01-19 22:45 James Le Cuirot
2021-12-11 23:24 Michał Górny
2021-12-11 20:29 Arthur Zamarin
2021-11-11 15:17 Michał Górny
2021-11-09 14:01 Michał Górny
2021-10-31 7:12 Michał Górny
2021-10-18 20:40 Michał Górny
2021-10-17 21:15 Michał Górny
2021-08-02 5:44 Michał Górny
2021-08-01 23:49 Sam James
2021-07-29 5:51 Michał Górny
2021-06-28 9:10 Michał Górny
2021-06-14 22:30 Michał Górny
2021-06-14 22:18 Sam James
2021-05-22 7:58 Michał Górny
2021-05-13 22:04 Louis Sautier
2021-04-05 18:39 Michał Górny
2021-03-04 20:27 Michał Górny
2021-03-02 8:25 Michał Górny
2021-03-02 1:34 Sam James
2021-03-01 8:25 Michał Górny
2021-01-19 8:23 Michał Górny
2021-01-10 9:38 Michał Górny
2020-12-31 8:50 Michał Górny
2020-12-31 1:17 Sam James
2020-12-28 8:36 Michał Górny
2020-12-25 9:17 Michał Górny
2020-12-24 0:19 Michał Górny
2020-12-23 8:29 Michał Górny
2020-12-23 8:29 Michał Górny
2020-11-28 8:32 Sam James
2020-11-28 8:32 Sam James
2020-11-02 10:34 Michał Górny
2020-10-29 0:05 Louis Sautier
2020-10-28 15:25 Louis Sautier
2020-10-28 15:25 Louis Sautier
2020-10-26 11:49 Louis Sautier
2020-10-26 11:49 Louis Sautier
2020-10-23 16:05 Louis Sautier
2020-10-23 16:05 Louis Sautier
2020-10-23 10:22 Louis Sautier
2020-10-23 10:22 Louis Sautier
2020-09-20 15:38 Michał Górny
2020-07-04 14:59 Michał Górny
2020-07-03 19:27 Louis Sautier
2020-06-16 8:42 Louis Sautier
2020-06-16 8:42 Louis Sautier
2020-06-04 20:39 Mart Raudsepp
2020-05-25 21:33 Sergei Trofimovich
2020-05-21 8:03 Agostino Sarubbo
2020-05-21 8:02 Agostino Sarubbo
2020-05-21 8:00 Agostino Sarubbo
2020-05-21 7:58 Agostino Sarubbo
2020-05-21 7:57 Agostino Sarubbo
2020-05-11 17:33 Michał Górny
2020-05-11 15:32 Mart Raudsepp
2020-05-09 15:44 Louis Sautier
2020-05-09 15:44 Louis Sautier
2020-05-08 9:36 Sergei Trofimovich
2020-05-04 16:51 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-05-03 10:25 Agostino Sarubbo
2020-05-03 10:22 Agostino Sarubbo
2020-04-29 23:11 Patrick McLean
2020-04-28 19:13 Louis Sautier
2020-04-28 19:13 Louis Sautier
2020-03-19 16:03 Louis Sautier
2020-03-16 21:18 Michał Górny
2020-03-16 21:09 Michał Górny
2020-03-11 12:52 Louis Sautier
2020-02-27 11:31 Louis Sautier
2019-12-29 21:17 Sergei Trofimovich
2019-12-24 14:21 Mikle Kolyada
2019-12-16 7:54 Agostino Sarubbo
2019-12-16 7:54 Agostino Sarubbo
2019-12-16 7:53 Agostino Sarubbo
2019-12-16 7:52 Agostino Sarubbo
2019-12-16 7:51 Agostino Sarubbo
2019-12-16 7:49 Agostino Sarubbo
2019-12-02 2:48 Aaron Bauman
2019-08-10 9:08 Sergei Trofimovich
2019-08-02 8:36 Mikle Kolyada
2019-08-02 8:36 Mikle Kolyada
2019-08-02 8:36 Mikle Kolyada
2019-08-02 8:36 Mikle Kolyada
2019-08-01 6:34 Sergei Trofimovich
2019-08-01 6:28 Sergei Trofimovich
2019-07-31 17:44 Sergei Trofimovich
2019-07-29 22:50 Aaron Bauman
2019-07-29 1:07 Georgy Yakovlev
2019-07-13 1:09 Louis Sautier
2019-07-12 23:04 Louis Sautier
2019-03-26 16:45 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1584633785.5bdc28912a644f22e983809598935548674e70e0.sbraz@gentoo \
--to=sbraz@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox